summaryrefslogtreecommitdiffstats
path: root/src/compiler/glsl/tests/optimization-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/compiler/glsl/tests/optimization-test.sh')
-rwxr-xr-xsrc/compiler/glsl/tests/optimization-test.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/src/compiler/glsl/tests/optimization-test.sh b/src/compiler/glsl/tests/optimization-test.sh
index dc9740f69f4..7410db64f14 100755
--- a/src/compiler/glsl/tests/optimization-test.sh
+++ b/src/compiler/glsl/tests/optimization-test.sh
@@ -6,6 +6,16 @@ else
compare_ir=./compare_ir.py
fi
+if [ -z "$PYTHON2" ]; then
+ PYTHON2=python2
+fi
+
+which $PYTHON2 >/dev/null
+if [ $? -ne 0 ]; then
+ echo "Could not find python2. Make sure that PYTHON2 variable is correctly set."
+ exit 1
+fi
+
total=0
pass=0